package com.kingdee.eas.custom.htjd;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ContractEndFactory
{
    private ContractEndFactory()
    {
    }
    public static com.kingdee.eas.custom.htjd.IContractEnd getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.htjd.IContractEnd)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("CB7C334C") ,com.kingdee.eas.custom.htjd.IContractEnd.class);
    }
    
    public static com.kingdee.eas.custom.htjd.IContractEnd getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.htjd.IContractEnd)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("CB7C334C") ,com.kingdee.eas.custom.htjd.IContractEnd.class, objectCtx);
    }
    public static com.kingdee.eas.custom.htjd.IContractEnd getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.htjd.IContractEnd)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("CB7C334C"));
    }
    public static com.kingdee.eas.custom.htjd.IContractEnd getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.htjd.IContractEnd)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("CB7C334C"));
    }
}